| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_REPEAT_EX

BOOST_PROTO_REPEAT_EX — Repeatedly invoke the specified macro.

## Synopsis

    // In header: <boost/proto/repeat.hpp>

    BOOST_PROTO_REPEAT_EX(MACRO, typename_A, A, A_a, a)

## Description

`BOOST_PROTO_REPEAT_EX()` is used to generate the kind of repetitive code that is typical of EDSLs built with Proto. `BOOST_PROTO_REPEAT_EX(`MACRO`, `typename_A`, `A`, `A_a`, `a`)` is equivalent to:

    MACRO(1, typename_A, A, A_a, a)
    MACRO(2, typename_A, A, A_a, a)
    ...
    MACRO(BOOST_PROTO_MAX_ARITY, typename_A, A, A_a, a)

Example:

See `BOOST_PROTO_REPEAT_FROM_TO()`.